## fceux 2.1.2+repack

=== SConstruct ===
import os
import sys
import platform 

opts = Variables()
opts.AddVariables(
  BoolVariable('FRAMESKIP', 'Enable frameskipping', 1),
  BoolVariable('OPENGL',    'Enable OpenGL support', 1),
  BoolVariable('LSB_FIRST', 'Least signficant byte first (non-PPC)', 1),
  BoolVariable('DEBUG',     'Build with debugging symbols', 0),
  BoolVariable('LUA',       'Enable Lua support', 1),
  BoolVariable('NEWPPU',    'Enable new PPU core', 0),
  BoolVariable('CREATE_AVI', 'Enable avi creation support (SDL only)', 0),
  BoolVariable('LOGO', 'Enable a logoscreen when creating avis (SDL only)', '1')
)

env = Environment(options = opts)

# LSB_FIRST must be off for PPC to compile
if platform.system == "ppc":
  env['LSB_FIRST'] = 0

# Default compiler flags:
env.Append(CCFLAGS = ['-Wall', '-Wno-write-strings', '-Wno-sign-compare', '-O2', '-Isrc/lua/src'])

if os.environ.has_key('PLATFORM'):
  env.Replace(PLATFORM = os.environ['PLATFORM'])
if os.environ.has_key('CC'):
  env.Replace(CC = os.environ['CC'])
if os.environ.has_key('CXX'):
  env.Replace(CXX = os.environ['CXX'])
if os.environ.has_key('WINDRES'):
  env.Replace(WINDRES = os.environ['WINDRES'])
if os.environ.has_key('CFLAGS'):
  env.Append(CCFLAGS = os.environ['CFLAGS'].split())
if os.environ.has_key('LDFLAGS'):
  env.Append(LINKFLAGS = os.environ['LDFLAGS'].split())

print "platform: ", env['PLATFORM']

# special flags for cygwin
# we have to do this here so that the function and lib checks will go through mingw
if env['PLATFORM'] == 'cygwin':
  env.Append(CCFLAGS = " -mno-cygwin")
  env.Append(LINKFLAGS = " -mno-cygwin")
  env['LIBS'] = ['wsock32'];

if env['PLATFORM'] == 'win32':
  env.Append(CPPPATH = [".", "drivers/win/", "drivers/common/", "drivers/", "drivers/win/zlib", "drivers/win/directx", "drivers/win/lua/include"])
  env.Append(CPPDEFINES = ["PSS_STYLE=2", "WIN32", "_USE_SHARED_MEMORY_", "NETWORK", "FCEUDEF_DEBUGGER", "NOMINMAX", "NEED_MINGW_HACKS", "_WIN32_IE=0x0600"])
  env.Append(LIBS = ["rpcrt4", "comctl32", "vfw32", "winmm", "ws2_32", "comdlg32", "ole32", "gdi32", "htmlhelp"])
else:
  conf = Configure(env)
  if not conf.CheckLib('SDL'):
    print 'Did not find libSDL or SDL.lib, exiting!'
    Exit(1)
  if not conf.CheckLib('z', autoadd=1):
    print 'Did not find libz or z.lib, exiting!'
    Exit(1)
    
  ### Search for zenity if we're not in windows
  if env['PLATFORM'] != 'win32' and env['PLATFORM'] != 'cygwin':
    path = os.getenv('PATH')
    directories = []
    dir = ''
    # check for '$' so last entry is processed
    for x in path + '$':
      if x != ':' and x != '$':
        dir += x
      else:
        directories.append(dir)
        dir = ''
  
    zenity = 0
    print "Checking for zenity...",
    for x in directories:
      if os.path.isfile(os.path.join(x, "zenity")):
        zenity = 1
    if zenity:
      print 'yes'
    else:
      print "*** WARNING ***"
      print "Zenity could not be found in the PATH.  File dialogs will not work without zenity installed."
      raw_input('Press any key to continue. . .')
  
  ### Search for gd if we're not in Windows
  if env['PLATFORM'] != 'win32' and env['PLATFORM'] != 'cygwin' and env['CREATE_AVI'] and env['LOGO']:
    gd = conf.CheckLib('gd', autoadd=1)
    if gd == 0:
      env['LOGO'] = 0
      print 'Did not find libgd, you won\'t be able to create a logo screen for your avis.'
   
  if conf.CheckFunc('asprintf'):
    conf.env.Append(CCFLAGS = " -DHAVE_ASPRINTF")
  if env['OPENGL'] and conf.CheckLibWithHeader('GL', 'GL/gl.h', 'c++', autoadd=1):
    conf.env.Append(CCFLAGS = " -DOPENGL")
  conf.env.Append(CPPDEFINES = ['PSS_STYLE=1'])
  # parse SDL cflags/libs
  env.ParseConfig('sdl-config --cflags --libs')
  env.Append(CPPDEFINES=["_S9XLUA_H"])
  env = conf.Finish()

if sys.byteorder == 'little' or env['PLATFORM'] == 'win32':
  env.Append(CPPDEFINES = ['LSB_FIRST'])

if env['FRAMESKIP']:
  env.Append(CPPDEFINES = ['FRAMESKIP'])

print "base CPPDEFINES:",env['CPPDEFINES']
print "base CCFLAGS:",env['CCFLAGS']

if env['DEBUG']:
  env.Append(CPPDEFINES=["_DEBUG"], CCFLAGS = ['-g'])

if env['PLATFORM'] != 'win32' and env['PLATFORM'] != 'cygwin' and env['CREATE_AVI']:
  env.Append(CPPDEFINES=["CREATE_AVI"])
else:
  env['CREATE_AVI']=0;

Export('env')
SConscript('src/SConscript')

# Install rules
exe_suffix = ''
if env['PLATFORM'] == 'win32':
  exe_suffix = '.exe'

fceux_src = 'src/fceux' + exe_suffix
fceux_dst = 'bin/fceux' + exe_suffix

auxlib_src = 'src/auxlib.lua'
auxlib_dst = 'bin/auxlib.lua'

fceux_h_src = 'src/drivers/win/help/fceux.chm'
fceux_h_dst = 'bin/fceux.chm'

env.Command(fceux_h_dst, fceux_h_src, [Copy(fceux_h_dst, fceux_h_src)])
env.Command(fceux_dst, fceux_src, [Copy(fceux_dst, fceux_src)])
env.Command(auxlib_dst, auxlib_src, [Copy(auxlib_dst, auxlib_src)])

# TODO: Fix this build script to gracefully install auxlib and the man page
#env.Alias(target="install", source=env.Install(dir="/usr/local/bin/", source=("bin/fceux", "bin/auxlib.lua")))
env.Alias(target="install", source=env.Install(dir="/usr/local/bin/", source="bin/fceux"))

=== debian/changelog ===
fceux (2.1.2+repack-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #254352)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 14 Dec 2009 08:05:17 +0100

=== debian/control ===
Source: fceux
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Fabrice Coutadeur <fabricesp@ubuntu.com>
Build-Depends: debhelper (>= 7),
 scons,
 libsdl1.2-dev,
 liblua5.1-dev,
 zlib1g-dev,
 zenity,
 python-central
Standards-Version: 3.8.3
Homepage: http://fceux.com
XS-Python-Version: all 

Package: fceux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross platform, NTSC and PAL Famicom/NES emulator
 The concept behind FCEUX is to merge elements from FCE Ultra, FCEU 
 rerecording, FCEUXD, FCEUXDSP, and FCEU-mm into a single branch of FCEU. As
 the X implies, it is an all-encompassing FCEU emulator that gives the best of
 all worlds for the casual player, the ROM-hacking community, Lua Scripters,
 and the Tool-Assisted Speedrun Community

Package: gfceux
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: fceux, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: GUI for fceux, Cross platform, NTSC and PAL Famicom/NES emulator
 The concept behind FCEUX is to merge elements from FCE Ultra, FCEU 
 rerecording, FCEUXD, FCEUXDSP, and FCEU-mm into a single branch of FCEU. As
 the X implies, it is an all-encompassing FCEU emulator that gives the best of
 all worlds for the casual player, the ROM-hacking community, Lua Scripters,
 and the Tool-Assisted Speedrun Community
 .
 This package contains a GUI for FCEUX written in Python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

get-orig-source: 
	dh_testdir
	chmod 755 debian/uscan_repack.sh
	uscan --force-download --no-symlink --verbose

#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: 

	cd $(CURDIR)/fceu && scons CREATE_AVI=1 prefix=/usr
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: 
	cd $(CURDIR)/gfceux && python setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp

	find . -name \*.o -exec rm -f {} \;
	rm -rf fceu/.sconf_temp build fceu/src/fceux fceu/bin/* \
	fceu/.sconsign.dblite fceu/config.log gfceux/build/*

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i 
	dh_installdirs -i

	cd $(CURDIR)/gfceux && python setup.py install --install-layout=deb --prefix=$(CURDIR)/debian/tmp/usr
	# Deleting extra COPYING file
	rm -r $(CURDIR)/debian/tmp/usr/share/gfceux/COPYING
	dh_install -i --sourcedir=debian/tmp
	dh_installchangelogs gfceux/ChangeLog

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s
	
	dh_install -s
	dh_installchangelogs fceu/changelog.txt

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_pycentral
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## fceux 2.1.4a+repack

=== SConstruct ===
--- 
+++ 
@@ -7,11 +7,13 @@
   BoolVariable('FRAMESKIP', 'Enable frameskipping', 1),
   BoolVariable('OPENGL',    'Enable OpenGL support', 1),
   BoolVariable('LSB_FIRST', 'Least signficant byte first (non-PPC)', 1),
-  BoolVariable('DEBUG',     'Build with debugging symbols', 0),
+  BoolVariable('DEBUG',     'Build with debugging symbols', 1),
   BoolVariable('LUA',       'Enable Lua support', 1),
-  BoolVariable('NEWPPU',    'Enable new PPU core', 0),
+  BoolVariable('NEWPPU',    'Enable new PPU core', 1),
   BoolVariable('CREATE_AVI', 'Enable avi creation support (SDL only)', 0),
-  BoolVariable('LOGO', 'Enable a logoscreen when creating avis (SDL only)', '1')
+  BoolVariable('LOGO', 'Enable a logoscreen when creating avis (SDL only)', '1'),
+  BoolVariable('GTK', 'Enable GTK2 GUI (SDL only)', 1),
+  BoolVariable('GTK_LITE', 'Enable GTK2 for dialogs only', 0)
 )
 
 env = Environment(options = opts)
@@ -54,34 +56,26 @@
   if not conf.CheckLib('SDL'):
     print 'Did not find libSDL or SDL.lib, exiting!'
     Exit(1)
-  if not conf.CheckLib('z', autoadd=1):
-    print 'Did not find libz or z.lib, exiting!'
-    Exit(1)
-    
-  ### Search for zenity if we're not in windows
-  if env['PLATFORM'] != 'win32' and env['PLATFORM'] != 'cygwin':
-    path = os.getenv('PATH')
-    directories = []
-    dir = ''
-    # check for '$' so last entry is processed
-    for x in path + '$':
-      if x != ':' and x != '$':
-        dir += x
-      else:
-        directories.append(dir)
-        dir = ''
-  
-    zenity = 0
-    print "Checking for zenity...",
-    for x in directories:
-      if os.path.isfile(os.path.join(x, "zenity")):
-        zenity = 1
-    if zenity:
-      print 'yes'
-    else:
-      print "*** WARNING ***"
-      print "Zenity could not be found in the PATH.  File dialogs will not work without zenity installed."
-      raw_input('Press any key to continue. . .')
+  if env['GTK'] or env['GTK_LITE']:
+    # Add compiler and linker flags from pkg-config
+    env.ParseConfig('pkg-config --cflags --libs gtk+-2.0')
+    env.Append(CPPDEFINES=["_GTK2"])
+  if env['GTK']:
+    env.Append(CCFLAGS = ["-D_GTK"])
+    env.Append(CCFLAGS =["-D_GTK_LITE"])
+  if env['GTK_LITE']:
+    env.Append(CCFLAGS =["-D_GTK_LITE"])
+
+  ### Lua platform defines
+  ### Applies to all files even though only lua needs it, but should be ok
+  if env['LUA']:
+    if env['PLATFORM'] == 'darwin':
+      # Define LUA_USE_MACOSX otherwise we can't bind external libs from lua
+      env.Append(CCFLAGS = ["-DLUA_USE_MACOSX"])      
+    if env['PLATFORM'] == 'posix':
+      # If we're POSIX, we use LUA_USE_LINUX since that combines usual lua posix defines with dlfcn calls for dynamic library loading.
+      # Should work on any *nix
+      env.Append(CCFLAGS = ["-DLUA_USE_LINUX"])
   
   ### Search for gd if we're not in Windows
   if env['PLATFORM'] != 'win32' and env['PLATFORM'] != 'cygwin' and env['CREATE_AVI'] and env['LOGO']:
@@ -91,12 +85,13 @@
       print 'Did not find libgd, you won\'t be able to create a logo screen for your avis.'
    
   if conf.CheckFunc('asprintf'):
-    conf.env.Append(CCFLAGS = " -DHAVE_ASPRINTF")
+    conf.env.Append(CCFLAGS = "-DHAVE_ASPRINTF")
   if env['OPENGL'] and conf.CheckLibWithHeader('GL', 'GL/gl.h', 'c++', autoadd=1):
-    conf.env.Append(CCFLAGS = " -DOPENGL")
+    conf.env.Append(CCFLAGS = "-DOPENGL")
   conf.env.Append(CPPDEFINES = ['PSS_STYLE=1'])
   # parse SDL cflags/libs
   env.ParseConfig('sdl-config --cflags --libs')
+  
   env.Append(CPPDEFINES=["_S9XLUA_H"])
   env = conf.Finish()

=== debian/changelog ===
fceux (2.1.4a+repack-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #612723)
  * debian/uscan_repack.sh: updated path from fceu to fceu${version}
  * debian/control: bump Standards-version to 3.9.1. No changes required.
  * delete_chm_install.patch: refreshed to take into account new location of
    CMakefile.txt and SContruct
  * debian/control: 
    - gfceux is not build anymore as fceux has now a built-in gui. Package
      deleted
    - adjusted the build dependency because of gfceux drop
    - declaring a Breaks/Conflicts with gfceux
  * fix_manpage_gfceux.patch: deleted as gfceux is not there anymore
  * fix_desktop_file.patch: deleted as gfceux is not there anymore
  * debian/rules: converted to dh7 tiny style
  * debian/copyright: deleted gfceux reference
  * debian/fceux.install, debian/fceux.docs, debian/fceux.manpages: adjusted to
    take into account new directories layout
  * debian/gfceux.install: deleted as package has been dropped
  * debian/fceux.desktop, fceux.png: created as upstream does not ship them.
    PNG file comes from the fceux website.
  * debian/source/include-binaries: added because of shipping a png file.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 03 Aug 2010 05:08:49 +0000

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="dversionmangle=s/\+repack//" \
http://sf.net/fceultra/fceux-(.*)\.src\.tar\.bz2 \
	debian debian/uscan_repack.sh

## fceux 2.1.5+repack

=== SConstruct ===
--- 
+++ 
@@ -7,16 +7,18 @@
   BoolVariable('FRAMESKIP', 'Enable frameskipping', 1),
   BoolVariable('OPENGL',    'Enable OpenGL support', 1),
   BoolVariable('LSB_FIRST', 'Least signficant byte first (non-PPC)', 1),
-  BoolVariable('DEBUG',     'Build with debugging symbols', 1),
+  BoolVariable('DEBUG',     'Build with debugging symbols', 0),
   BoolVariable('LUA',       'Enable Lua support', 1),
   BoolVariable('NEWPPU',    'Enable new PPU core', 1),
-  BoolVariable('CREATE_AVI', 'Enable avi creation support (SDL only)', 0),
+  BoolVariable('CREATE_AVI', 'Enable avi creation support (SDL only)', 1),
   BoolVariable('LOGO', 'Enable a logoscreen when creating avis (SDL only)', '1'),
   BoolVariable('GTK', 'Enable GTK2 GUI (SDL only)', 1),
-  BoolVariable('GTK_LITE', 'Enable GTK2 for dialogs only', 0)
+  BoolVariable('GTK3', 'Enable GTK3 GUI (BROKEN/EXPERIMENTAL)', 0),
 )
 
 env = Environment(options = opts)
+
+env.Append(CPPDEFINES=["PUBLIC_RELEASE"])
 
 # LSB_FIRST must be off for PPC to compile
 if platform.system == "ppc":
@@ -53,22 +55,25 @@
   env.Append(LIBS = ["rpcrt4", "comctl32", "vfw32", "winmm", "ws2_32", "comdlg32", "ole32", "gdi32", "htmlhelp"])
 else:
   conf = Configure(env)
+  assert conf.CheckLibWithHeader('z', 'zlib.h', 'C', 'inflate;', 1), "please install: zlib"
   if not conf.CheckLib('SDL'):
     print 'Did not find libSDL or SDL.lib, exiting!'
     Exit(1)
-  if env['GTK'] or env['GTK_LITE']:
+
+  if env['GTK']:
     # Add compiler and linker flags from pkg-config
     env.ParseConfig('pkg-config --cflags --libs gtk+-2.0')
     env.Append(CPPDEFINES=["_GTK2"])
-  if env['GTK']:
     env.Append(CCFLAGS = ["-D_GTK"])
-    env.Append(CCFLAGS =["-D_GTK_LITE"])
-  if env['GTK_LITE']:
-    env.Append(CCFLAGS =["-D_GTK_LITE"])
-
+  if env['GTK3']:
+    # Add compiler and linker flags from pkg-config
+    env.ParseConfig('pkg-config --cflags --libs gtk+-3.0')
+    env.Append(CPPDEFINES=["_GTK3"])
+    env.Append(CCFLAGS = ["-D_GTK"])
   ### Lua platform defines
   ### Applies to all files even though only lua needs it, but should be ok
   if env['LUA']:
+    env.Append(CPPDEFINES=["_S9XLUA_H"])
     if env['PLATFORM'] == 'darwin':
       # Define LUA_USE_MACOSX otherwise we can't bind external libs from lua
       env.Append(CCFLAGS = ["-DLUA_USE_MACOSX"])      
@@ -92,7 +97,6 @@
   # parse SDL cflags/libs
   env.ParseConfig('sdl-config --cflags --libs')
   
-  env.Append(CPPDEFINES=["_S9XLUA_H"])
   env = conf.Finish()
 
 if sys.byteorder == 'little' or env['PLATFORM'] == 'win32':

=== debian/changelog ===
fceux (2.1.5+repack-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 14 Jun 2011 22:00:55 +0200

=== debian/control ===
Source: fceux
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Fabrice Coutadeur <fabricesp@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 scons,
 libsdl1.2-dev,
 libgtk2.0-dev
Standards-Version: 3.9.1
Homepage: http://fceux.com 

Package: fceux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gfceux (<<2.1.4)
Replaces: gfceux (<<2.1.4)
Description: Cross platform, NTSC and PAL Famicom/NES emulator
 The concept behind FCEUX is to merge elements from FCE Ultra, FCEU 
 rerecording, FCEUXD, FCEUXDSP, and FCEU-mm into a single branch of FCEU. As
 the X implies, it is an all-encompassing FCEU emulator that gives the best of
 all worlds for the casual player, the ROM-hacking community, Lua Scripters,
 and the Tool-Assisted Speedrun Community

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf .sconf_temp
	rm -f .sconsign.dblite
	find ./ -name *.o -exec rm {} \;
	rm -f src/fceux
	rm -f config.log

override_dh_auto_configure:
	scons

## fceux 2.2.1+dfsg0

=== SConstruct ===
#
# SConstruct - build script for the SDL port of fceux
#
# You can adjust the BoolVariables below to include/exclude features at compile-time
#
# You may need to wipe the scons cache ("scons -c") and recompile for some options to take effect.
#
# Use "scons" to compile and "scons install" to install.
#

import os
import sys
import platform 

opts = Variables()
opts.AddVariables( 
  BoolVariable('FRAMESKIP', 'Enable frameskipping', 1),
  BoolVariable('OPENGL',    'Enable OpenGL support', 1),
  BoolVariable('LSB_FIRST', 'Least signficant byte first (non-PPC)', 1),
  BoolVariable('DEBUG',     'Build with debugging symbols', 1),
  BoolVariable('LUA',       'Enable Lua support', 1),
  BoolVariable('SYSTEM_LUA','Use system lua instead of static lua provided with fceux', 1),
  BoolVariable('SYSTEM_MINIZIP', 'Use system minizip instead of static minizip provided with fceux', 0),
  BoolVariable('NEWPPU',    'Enable new PPU core', 1),
  BoolVariable('CREATE_AVI', 'Enable avi creation support (SDL only)', 1),
  BoolVariable('LOGO', 'Enable a logoscreen when creating avis (SDL only)', 1),
  BoolVariable('GTK', 'Enable GTK2 GUI (SDL only)', 1),
  BoolVariable('GTK3', 'Enable GTK3 GUI (SDL only)', 0),
  BoolVariable('CLANG', 'Compile with llvm-clang instead of gcc', 0)
)
AddOption('--prefix', dest='prefix', type='string', nargs=1, action='store', metavar='DIR', help='installation prefix')

prefix = GetOption('prefix')
env = Environment(options = opts)

#### Uncomment this for a public release ###
env.Append(CPPDEFINES=["PUBLIC_RELEASE"])
env['DEBUG'] = 0
############################################

# LSB_FIRST must be off for PPC to compile
if platform.system == "ppc":
  env['LSB_FIRST'] = 0

# Default compiler flags:
env.Append(CCFLAGS = ['-Wall', '-Wno-write-strings', '-Wno-sign-compare', '-Isrc/lua/src'])

if os.environ.has_key('PLATFORM'):
  env.Replace(PLATFORM = os.environ['PLATFORM'])
if os.environ.has_key('CC'):
  env.Replace(CC = os.environ['CC'])
if os.environ.has_key('CXX'):
  env.Replace(CXX = os.environ['CXX'])
if os.environ.has_key('WINDRES'):
  env.Replace(WINDRES = os.environ['WINDRES'])
if os.environ.has_key('CFLAGS'):
  env.Append(CCFLAGS = os.environ['CFLAGS'].split())
if os.environ.has_key('CXXFLAGS'):
  env.Append(CXXFLAGS = os.environ['CXXFLAGS'].split())
if os.environ.has_key('CPPFLAGS'):
  env.Append(CPPFLAGS = os.environ['CPPFLAGS'].split())
if os.environ.has_key('LDFLAGS'):
  env.Append(LINKFLAGS = os.environ['LDFLAGS'].split())

print "platform: ", env['PLATFORM']

# compile with clang
if env['CLANG']:
  env.Replace(CC='clang')
  env.Replace(CXX='clang++')

# special flags for cygwin
# we have to do this here so that the function and lib checks will go through mingw
if env['PLATFORM'] == 'cygwin':
  env.Append(CCFLAGS = " -mno-cygwin")
  env.Append(LINKFLAGS = " -mno-cygwin")
  env['LIBS'] = ['wsock32'];

if env['PLATFORM'] == 'win32':
  env.Append(CPPPATH = [".", "drivers/win/", "drivers/common/", "drivers/", "drivers/win/zlib", "drivers/win/directx", "drivers/win/lua/include"])
  env.Append(CPPDEFINES = ["PSS_STYLE=2", "WIN32", "_USE_SHARED_MEMORY_", "NETWORK", "FCEUDEF_DEBUGGER", "NOMINMAX", "NEED_MINGW_HACKS", "_WIN32_IE=0x0600"])
  env.Append(LIBS = ["rpcrt4", "comctl32", "vfw32", "winmm", "ws2_32", "comdlg32", "ole32", "gdi32", "htmlhelp"])
else:
  conf = Configure(env)
  if conf.CheckFunc('asprintf'):
    conf.env.Append(CCFLAGS = "-DHAVE_ASPRINTF")
  if env['SYSTEM_MINIZIP']:
    assert conf.CheckLibWithHeader('minizip', 'minizip/unzip.h', 'C', 'unzOpen;', 1), "please install: libminizip"
    assert conf.CheckLibWithHeader('z', 'zlib.h', 'c', 'inflate;', 1), "please install: zlib"
    env.Append(CPPDEFINES=["_SYSTEM_MINIZIP"])
  else:
    assert conf.CheckLibWithHeader('z', 'zlib.h', 'c', 'inflate;', 1), "please install: zlib"
  if not conf.CheckLib('SDL'):
    print 'Did not find libSDL or SDL.lib, exiting!'
    Exit(1)
  if env['GTK']:
    if not conf.CheckLib('gtk-x11-2.0'):
      print 'Could not find libgtk-2.0, exiting!'
      Exit(1)
    # Add compiler and linker flags from pkg-config
    config_string = 'pkg-config --cflags --libs gtk+-2.0'
    if env['PLATFORM'] == 'darwin':
      config_string = 'PKG_CONFIG_PATH=/opt/X11/lib/pkgconfig/ ' + config_string
    env.ParseConfig(config_string)
    env.Append(CPPDEFINES=["_GTK2"])
    env.Append(CCFLAGS = ["-D_GTK"])
  if env['GTK3']:
    # Add compiler and linker flags from pkg-config
    config_string = 'pkg-config --cflags --libs gtk+-3.0'
    if env['PLATFORM'] == 'darwin':
      config_string = 'PKG_CONFIG_PATH=/opt/X11/lib/pkgconfig/ ' + config_string
    env.ParseConfig(config_string)
    env.Append(CPPDEFINES=["_GTK3"])
    env.Append(CCFLAGS = ["-D_GTK"])

  ### Lua platform defines
  ### Applies to all files even though only lua needs it, but should be ok
  if env['LUA']:
    env.Append(CPPDEFINES=["_S9XLUA_H"])
    if env['PLATFORM'] == 'darwin':
      # Define LUA_USE_MACOSX otherwise we can't bind external libs from lua
      env.Append(CCFLAGS = ["-DLUA_USE_MACOSX"])    
    if env['PLATFORM'] == 'posix':
      # If we're POSIX, we use LUA_USE_LINUX since that combines usual lua posix defines with dlfcn calls for dynamic library loading.
      # Should work on any *nix
      env.Append(CCFLAGS = ["-DLUA_USE_LINUX"])
    lua_available = False
    if conf.CheckLib('lua5.1'):
      env.Append(LINKFLAGS = ["-ldl", "-llua5.1"])
      lua_available = True
    elif conf.CheckLib('lua'):
      env.Append(LINKFLAGS = ["-ldl", "-llua"])
      lua_available = True
    if lua_available == False:
      print 'Could not find liblua, exiting!'
      Exit(1)
  # "--as-needed" no longer available on OSX (probably BSD as well? TODO: test)
  if env['PLATFORM'] != 'darwin':
    env.Append(LINKFLAGS=['-Wl,--as-needed'])
  
  ### Search for gd if we're not in Windows
  if env['PLATFORM'] != 'win32' and env['PLATFORM'] != 'cygwin' and env['CREATE_AVI'] and env['LOGO']:
    gd = conf.CheckLib('gd', autoadd=1)
    if gd == 0:
      env['LOGO'] = 0
      print 'Did not find libgd, you won\'t be able to create a logo screen for your avis.'
   
  if env['OPENGL'] and conf.CheckLibWithHeader('GL', 'GL/gl.h', 'c', autoadd=1):
    conf.env.Append(CCFLAGS = "-DOPENGL")
  conf.env.Append(CPPDEFINES = ['PSS_STYLE=1'])
  # parse SDL cflags/libs
  env.ParseConfig('sdl-config --cflags --libs')
  
  env = conf.Finish()

if sys.byteorder == 'little' or env['PLATFORM'] == 'win32':
  env.Append(CPPDEFINES = ['LSB_FIRST'])

if env['FRAMESKIP']:
  env.Append(CPPDEFINES = ['FRAMESKIP'])

print "base CPPDEFINES:",env['CPPDEFINES']
print "base CCFLAGS:",env['CCFLAGS']

if env['DEBUG']:
  env.Append(CPPDEFINES=["_DEBUG"], CCFLAGS = ['-g'])
else:
  env.Append(CCFLAGS = ['-O2'])

if env['PLATFORM'] != 'win32' and env['PLATFORM'] != 'cygwin' and env['CREATE_AVI']:
  env.Append(CPPDEFINES=["CREATE_AVI"])
else:
  env['CREATE_AVI']=0;

Export('env')
fceux = SConscript('src/SConscript')
env.Program(target="fceux-net-server", source=["fceux-server/server.cpp", "fceux-server/md5.cpp", "fceux-server/throttle.cpp"])
# Install rules
if prefix == None:
  prefix = "/usr/local"

exe_suffix = ''
if env['PLATFORM'] == 'win32':
  exe_suffix = '.exe'

fceux_src = 'src/fceux' + exe_suffix
fceux_dst = 'bin/fceux' + exe_suffix

fceux_net_server_src = 'fceux-net-server' + exe_suffix
fceux_net_server_dst = 'bin/fceux-net-server' + exe_suffix

auxlib_src = 'src/auxlib.lua'
auxlib_dst = 'bin/auxlib.lua'
auxlib_inst_dst = prefix + '/share/fceux/auxlib.lua'

fceux_h_src = 'src/drivers/win/help/fceux.chm'
fceux_h_dst = 'bin/fceux.chm'

env.Command(fceux_h_dst, fceux_h_src, [Copy(fceux_h_dst, fceux_h_src)])
env.Command(fceux_dst, fceux_src, [Copy(fceux_dst, fceux_src)])
env.Command(fceux_net_server_dst, fceux_net_server_src, [Copy(fceux_net_server_dst, fceux_net_server_src)])
env.Command(auxlib_dst, auxlib_src, [Copy(auxlib_dst, auxlib_src)])

man_src = 'documentation/fceux.6'
man_net_src = 'documentation/fceux-net-server.6'
man_dst = prefix + '/share/man/man6/fceux.6'
man_net_dst = prefix + '/share/man/man6/fceux-net-server.6'

share_src = 'output/'
share_dst = prefix + '/share/fceux/'

env.Install(prefix + "/bin/", fceux)
env.Install(prefix + "/bin/", "fceux-net-server")
# TODO:  Where to put auxlib on "scons install?"
env.Alias('install', env.Command(auxlib_inst_dst, auxlib_src, [Copy(auxlib_inst_dst, auxlib_src)]))
env.Alias('install', env.Command(share_dst, share_src, [Copy(share_dst, share_src)]))
env.Alias('install', env.Command(man_dst, man_src, [Copy(man_dst, man_src)]))
env.Alias('install', env.Command(man_net_dst, man_net_src, [Copy(man_net_dst, man_net_src)]))
env.Alias('install', (prefix + "/bin/"))

=== debian/changelog ===
fceux (2.2.1+dfsg0-2) unstable; urgency=low

  * upload to unstable
  * add missing DEP-3 headers to patches
  * copyright updates from Alexander Toresson
  * add mailcap entry for NES roms
  * bump std-ver to 3.9.4
  * canonicalize VCS urls

 -- Joe Nahmias <jello@debian.org>  Fri, 12 Jul 2013 16:51:17 -0400

fceux (2.2.1+dfsg0-1) experimental; urgency=low

  * New upstream version
  * refresh all patches
  * fix_format_string_security_error.patch: use "%s" as format string
  * d/gbp.conf: update options to make it easier to use gbp
  * update copyright with research by Alexander Toresson

 -- Joe Nahmias <jello@debian.org>  Wed, 24 Apr 2013 09:52:14 -0400

fceux (2.2.0+dfsg0-1) UNRELEASED; urgency=low

  * Initial release, closes: #612245.
  * d/control: add Vcs-* headers
  * use_system_lua.patch: remove optimization that uses lua internals
  * install_to_games_instead_of_bin.patch: install fceux into /usr/games
  * set-script-and-palette-gtkfilechooser-default-directory.patch: set
    default dirs as appropriate in this package

 -- Joe Nahmias <jello@debian.org>  Sat, 08 Dec 2012 22:50:04 -0500

=== debian/control ===
Source: fceux
Section: games
Priority: extra
Maintainer: Joe Nahmias <jello@debian.org>
Uploaders: Alexander Toresson <alexander.toresson@gmail.com>
Build-Depends: debhelper (>= 9), scons, zlib1g-dev, libsdl1.2-dev,
  libgtk2.0-dev, liblua5.1-0-dev, libgd2-xpm-dev, libgl1-mesa-dev
Standards-Version: 3.9.4
Homepage: http://fceux.com/
VCS-Browser: http://anonscm.debian.org/git/collab-maint/fceux.git
VCS-Git: git://anonscm.debian.org/collab-maint/fceux.git

Package: fceux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: efp
Provides: nes-emulator
Description: all-in-one NES/Famicom Emulator
 FCE Ultra X [FCEUX] is an emulator of the original (8-bit) Nintendo
 Entertainment System (NES) released under the GNU General Public License
 (GPL).  It includes the following features (and many more):
 .
       * fully customizable color palette rendering engine
       * complete sound emulation (all five channels)
       * support for up to four joystick controllers
       * zapper emulation for the mouse
       * GameGenie emulation
       * accepts compressed (PKZIP, gzip) ROM images
       * TCP/IP network play
       * Lua scripting

=== debian/rules ===
#!/usr/bin/make -f

SCONSFLAGS=CREATE_AVI=1 SYSTEM_LUA=1 --prefix=$(CURDIR)/debian/fceux/usr

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    SCONSFLAGS += -j$(NUMJOBS)
endif


####override_dh_auto_configure:
####	true

override_dh_auto_build:
	scons $(SCONSFLAGS)

override_dh_auto_install:
	scons $(SCONSFLAGS) install

override_dh_auto_clean:
	scons $(SCONSFLAGS) -c

%:
	dh $@

=== debian/watch ===
# watch file for fceux
# See uscan(1) for format
version=3

# <Webpage URL> <string match> [Version  [Action]]
opts=dversionmangle=s/\+dfsg\d+$// \
http://fceux.com/web/download.html \
https?://.*/Source%20Code/.*/fceux-(.*)\.src\.tar\.(?:bz2|gz)/download \
debian \
git-import-orig --verbose

## fceux 2.2.2+dfsg0

=== SConstruct ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #
 # SConstruct - build script for the SDL port of fceux
 #
-# You can adjust the BoolVariables below to include/exclude features at compile-time
-#
-# You may need to wipe the scons cache ("scons -c") and recompile for some options to take effect.
+# You can adjust the BoolVariables below to include/exclude features 
+# at compile-time.  You may also use arguments to specify the parameters.
+#   ie: scons RELEASE=1 GTK3=1
 #
 # Use "scons" to compile and "scons install" to install.
 #
@@ -12,38 +12,39 @@
 import sys
 import platform 
 
-opts = Variables()
+opts = Variables(None, ARGUMENTS)
 opts.AddVariables( 
+  BoolVariable('DEBUG',     'Build with debugging symbols', 0),
+  BoolVariable('RELEASE',   'Set to 1 to build for release', 1),
   BoolVariable('FRAMESKIP', 'Enable frameskipping', 1),
   BoolVariable('OPENGL',    'Enable OpenGL support', 1),
-  BoolVariable('LSB_FIRST', 'Least signficant byte first (non-PPC)', 1),
-  BoolVariable('DEBUG',     'Build with debugging symbols', 1),
   BoolVariable('LUA',       'Enable Lua support', 1),
-  BoolVariable('SYSTEM_LUA','Use system lua instead of static lua provided with fceux', 1),
-  BoolVariable('SYSTEM_MINIZIP', 'Use system minizip instead of static minizip provided with fceux', 0),
+  BoolVariable('GTK', 'Enable GTK2 GUI (SDL only)', 1),
+  BoolVariable('GTK3', 'Enable GTK3 GUI (SDL only)', 0),
   BoolVariable('NEWPPU',    'Enable new PPU core', 1),
   BoolVariable('CREATE_AVI', 'Enable avi creation support (SDL only)', 1),
   BoolVariable('LOGO', 'Enable a logoscreen when creating avis (SDL only)', 1),
-  BoolVariable('GTK', 'Enable GTK2 GUI (SDL only)', 1),
-  BoolVariable('GTK3', 'Enable GTK3 GUI (SDL only)', 0),
-  BoolVariable('CLANG', 'Compile with llvm-clang instead of gcc', 0)
+  BoolVariable('SYSTEM_LUA','Use system lua instead of static lua provided with fceux', 1),
+  BoolVariable('SYSTEM_MINIZIP', 'Use system minizip instead of static minizip provided with fceux', 0),
+  BoolVariable('LSB_FIRST', 'Least signficant byte first (non-PPC)', 1),
+  BoolVariable('CLANG', 'Compile with llvm-clang instead of gcc', 0),
+  BoolVariable('SDL2', 'Compile using SDL2 instead of SDL 1.2 (experimental/non-functional)', 0)
 )
 AddOption('--prefix', dest='prefix', type='string', nargs=1, action='store', metavar='DIR', help='installation prefix')
 
 prefix = GetOption('prefix')
 env = Environment(options = opts)
 
-#### Uncomment this for a public release ###
-env.Append(CPPDEFINES=["PUBLIC_RELEASE"])
-env['DEBUG'] = 0
-############################################
+if env['RELEASE']:
+  env.Append(CPPDEFINES=["PUBLIC_RELEASE"])
+  env['DEBUG'] = 0
 
 # LSB_FIRST must be off for PPC to compile
 if platform.system == "ppc":
   env['LSB_FIRST'] = 0
 
 # Default compiler flags:
-env.Append(CCFLAGS = ['-Wall', '-Wno-write-strings', '-Wno-sign-compare', '-Isrc/lua/src'])
+env.Append(CCFLAGS = ['-Wall', '-Wno-write-strings', '-Wno-sign-compare'])
 
 if os.environ.has_key('PLATFORM'):
   env.Replace(PLATFORM = os.environ['PLATFORM'])
@@ -82,6 +83,10 @@
   env.Append(LIBS = ["rpcrt4", "comctl32", "vfw32", "winmm", "ws2_32", "comdlg32", "ole32", "gdi32", "htmlhelp"])
 else:
   conf = Configure(env)
+  # If libdw is available, compile in backward-cpp support
+  if conf.CheckLib('dw'):
+    conf.env.Append(CCFLAGS = "-DBACKWARD_HAS_DW=1")
+    conf.env.Append(LINKFLAGS = "-ldw")
   if conf.CheckFunc('asprintf'):
     conf.env.Append(CCFLAGS = "-DHAVE_ASPRINTF")
   if env['SYSTEM_MINIZIP']:
@@ -90,9 +95,17 @@
     env.Append(CPPDEFINES=["_SYSTEM_MINIZIP"])
   else:
     assert conf.CheckLibWithHeader('z', 'zlib.h', 'c', 'inflate;', 1), "please install: zlib"
-  if not conf.CheckLib('SDL'):
-    print 'Did not find libSDL or SDL.lib, exiting!'
-    Exit(1)
+  if env['SDL2']:
+    if not conf.CheckLib('SDL2'):
+      print 'Did not find libSDL2 or SDL2.lib, exiting!'
+      Exit(1)
+    env.Append(CPPDEFINES=["_SDL2"])
+    env.ParseConfig('pkg-config sdl2 --cflags --libs')
+  else:
+    if not conf.CheckLib('SDL'):
+      print 'Did not find libSDL or SDL.lib, exiting!'
+      Exit(1)
+    env.ParseConfig('sdl-config --cflags --libs')
   if env['GTK']:
     if not conf.CheckLib('gtk-x11-2.0'):
       print 'Could not find libgtk-2.0, exiting!'
@@ -127,9 +140,11 @@
     lua_available = False
     if conf.CheckLib('lua5.1'):
       env.Append(LINKFLAGS = ["-ldl", "-llua5.1"])
+      env.Append(CCFLAGS = ["-I/usr/include/lua5.1"])
       lua_available = True
     elif conf.CheckLib('lua'):
       env.Append(LINKFLAGS = ["-ldl", "-llua"])
+      env.Append(CCFLAGS = ["-I/usr/include/lua"])
       lua_available = True
     if lua_available == False:
       print 'Could not find liblua, exiting!'
@@ -148,8 +163,6 @@
   if env['OPENGL'] and conf.CheckLibWithHeader('GL', 'GL/gl.h', 'c', autoadd=1):
     conf.env.Append(CCFLAGS = "-DOPENGL")
   conf.env.Append(CPPDEFINES = ['PSS_STYLE=1'])
-  # parse SDL cflags/libs
-  env.ParseConfig('sdl-config --cflags --libs')
   
   env = conf.Finish()
 
@@ -163,7 +176,7 @@
 print "base CCFLAGS:",env['CCFLAGS']
 
 if env['DEBUG']:
-  env.Append(CPPDEFINES=["_DEBUG"], CCFLAGS = ['-g'])
+  env.Append(CPPDEFINES=["_DEBUG"], CCFLAGS = ['-g', '-O0'])
 else:
   env.Append(CCFLAGS = ['-O2'])
 
@@ -175,7 +188,8 @@
 Export('env')
 fceux = SConscript('src/SConscript')
 env.Program(target="fceux-net-server", source=["fceux-server/server.cpp", "fceux-server/md5.cpp", "fceux-server/throttle.cpp"])
-# Install rules
+
+# Installation rules
 if prefix == None:
   prefix = "/usr/local"
 
@@ -193,7 +207,7 @@
 auxlib_dst = 'bin/auxlib.lua'
 auxlib_inst_dst = prefix + '/share/fceux/auxlib.lua'
 
-fceux_h_src = 'src/drivers/win/help/fceux.chm'
+fceux_h_src = 'output/fceux.chm'
 fceux_h_dst = 'bin/fceux.chm'
 
 env.Command(fceux_h_dst, fceux_h_src, [Copy(fceux_h_dst, fceux_h_src)])
@@ -208,6 +222,12 @@
 
 share_src = 'output/'
 share_dst = prefix + '/share/fceux/'
+
+image_src = 'fceux.png'
+image_dst = prefix + '/share/pixmaps'
+
+desktop_src = 'fceux.desktop'
+desktop_dst = prefix + '/share/applications/'
 
 env.Install(prefix + "/bin/", fceux)
 env.Install(prefix + "/bin/", "fceux-net-server")
@@ -216,6 +236,6 @@
 env.Alias('install', env.Command(share_dst, share_src, [Copy(share_dst, share_src)]))
 env.Alias('install', env.Command(man_dst, man_src, [Copy(man_dst, man_src)]))
 env.Alias('install', env.Command(man_net_dst, man_net_src, [Copy(man_net_dst, man_net_src)]))
+env.Alias('install', env.Command(image_dst, image_src, [Copy(image_dst, image_src)]))
+env.Alias('install', env.Command(desktop_dst, desktop_src, [Copy(desktop_dst, desktop_src)]))
 env.Alias('install', (prefix + "/bin/"))
-
-

=== debian/changelog ===
fceux (2.2.2+dfsg0-1build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:54:07 +0000

fceux (2.2.2+dfsg0-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2
    + remove patches merged upstream; refresh remaining
    + remove windows compiled help files and non-free Visual C files
  * Use C++11 standard static assertion functionality
  * fix upstream installation of support files
  * New patch 0004-ignore-missing-windows-help-CHM-file.patch
  * update d/copyright for new, renamed, deleted files
  * d/control: bump std-ver to 3.9.5, no changes needed

 -- Joe Nahmias <jello@debian.org>  Sun, 02 Mar 2014 19:22:04 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Alexander Toresson <alexander.toresson@gmail.com>
 Build-Depends: debhelper (>= 9), scons, zlib1g-dev, libsdl1.2-dev,
   libgtk2.0-dev, liblua5.1-0-dev, libgd2-xpm-dev, libgl1-mesa-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://fceux.com/
 VCS-Browser: http://anonscm.debian.org/git/collab-maint/fceux.git
 VCS-Git: git://anonscm.debian.org/collab-maint/fceux.git

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,6 @@
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     SCONSFLAGS += -j$(NUMJOBS)
 endif
-
-
-####override_dh_auto_configure:
-####	true
 
 override_dh_auto_build:
 	scons $(SCONSFLAGS)

## fceux 2.3.0%2Bdfsg1

=== debian/changelog ===
fceux (2.3.0+dfsg1-3) unstable; urgency=medium

  * [1720c85] Fix FTCBFS: use dh_auto_build to build fceux-server.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #981619)

 -- Joseph Nahmias <jello@debian.org>  Wed, 03 Feb 2021 00:27:22 -0500

fceux (2.3.0+dfsg1-2) unstable; urgency=medium

  * [c6ed30f] add missing GL include file to fix FTBFS on arm

 -- Joseph Nahmias <jello@debian.org>  Sun, 24 Jan 2021 20:46:11 -0500

fceux (2.3.0+dfsg1-1) unstable; urgency=medium

  * [8335acb] d/watch: use sf.net redirector on qa.d.o
  * [6127cf0] have uscan repack the downloaded tarball
  * [0143014] have gbp use DEP-14 repo layout
  * [2fcf17c] remove non-free UTF conversion code which is only used on windows
    (Closes: #900599)
  * [ccddd79] update VCS-* headers to point to salsa repo
  * [c79122b] New upstream version 2.3.0+dfsg1
  * [85ffcf0] update maintainer address
  * [aa54847] d/control: expand B-D to one per line and sort
  * [6806127] bump dh-compat to 13
  * [58a89f6] drop old patches
  * [c71bcae] update to use new upstream build system - cmake (Closes: #880770)
  * [b6a8507] remove non-free ConvertUTF from build list
  * [65263c5] d/control: set R-R-R to no
  * [53fa926] install fceux to /usr/games
  * [457ef83] build & install fceux-server as well
  * [4383769] drop prohibited menu entry
  * [c34a499] drop redundant mime entry; .desktop handles this
  * [e145ace] enable all hardening flags
  * [54c1de2] d/control: change priority to optional (from extra)
  * [a10bf37] d/control: bump S-V to 4.5.1, changes committed individually
  * [6fad12b] update copyrights
  * [3888763] fix spelling mistakes caught by lintian
  * [1924cf5] use correct git repo & commit hash for upstream release
  * [b625678] use debhelper verbose mode
  * [8c3626e] use GL vendor neutral dispatch
  * [ba3050b] note that this version is based on an upstream public release
  * [bd3f17f] replace upstream's corrupted manpages with original version
  * [865f0e3] fix fceux-net-server Makefile to honor standard env vars
  * [ce9c9f8] fceux.desktop: use proper Exec field code
  * [3be1948] add lua docs to doclist for installation
  * [ee82ab7] commit updated interim changelog
  * [a982088] more copyright cleanup
  * [eb824f5] enable salsa-ci pipeline
  * [9b5baaa] disable unneeded build-all salsa-ci test

 -- Joseph Nahmias <jello@debian.org>  Sun, 24 Jan 2021 13:43:30 -0500
